<html>

<head>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
    <p>demo binding class:</p>
    <div id="app-class">
        <h1 v-bind:class="[activeClass, errorClass, caseclass]">Class</h1>
    </div>
    <script type="text/javascript"></script>
    <script type="text/javascript">
        var app = new Vue({
            el: '#app-class',
            data: {
                activeClass: 'active',
                errorClass: 'text-danger',
                caseclass: 'classitem'
            }
        });
    </script>

  <p>demo binding class:</p>

    <div id="app">
        <h1 v-bind:style="{color: colorValue, borderBottom : borderValue, paddingBottom: paddingValue}">STYLE</h1>
    </div>
    <script type="text/javascript"></script>
    <script type="text/javascript">
        var app = new Vue({
            el: '#app',
            data: {
                colorValue: 'blue',
                borderValue: '1px solid orange',
                paddingValue: '10px',
            }
        });
    </script>
</body>

</html>